<ion-header no-border>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/tabs/roteiro"></ion-back-button>
    </ion-buttons>
    <ion-title *ngIf="!roteiro.id">Adicionar Roteiro</ion-title>
    <ion-title *ngIf="roteiro.id">{{roteiro.titulo}}</ion-title>
  </ion-toolbar>
</ion-header>
<ion-content>
  <ion-grid>
    <ion-row>
      <ion-col>
        <form #f="ngForm">
          <ion-list lines="full">
            <ion-item>
              <ion-input required
                         type="text"
                         placeholder="Título"
                         [(ngModel)]="roteiro.titulo"
                         [ngModelOptions]="{standalone: true}"></ion-input>
            </ion-item>
            <ion-item>
              <ion-input required
                         type="text"
                         placeholder="Descrição"
                         [(ngModel)]="roteiro.descricao"
                         [ngModelOptions]="{standalone: true}"></ion-input>
            </ion-item>
          </ion-list>
          <!--  <ion-button *ngIf="!roteiro.id" size="default"  expand="block" color="primary"   (click)="novoRoteiro()"  [disabled]="!f.valid">Salva</ion-button>
            <ion-button *ngIf="roteiro.id" expand="block"  color="primary"  (click)="atualizarRoteiro()">Atualizar</ion-button> -->
        </form>
      </ion-col>
    </ion-row>
  </ion-grid>
  <ion-fab vertical="bottom"
           horizontal="end"
           slot="fixed"
           *ngIf="!roteiro.id"
           (click)="novoRoteiro()">
    <ion-fab-button routerLink="/chatbot">
      <ion-icon name="checkmark"></ion-icon>
    </ion-fab-button>
  </ion-fab>

  <ion-fab vertical="bottom"
           horizontal="end"
           slot="fixed"
           *ngIf="roteiro.id"
           (click)="atualizarRoteiro()">
    <ion-fab-button routerLink="/chatbot">
      <ion-icon name="checkmark"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>